Subject: [bug#47027] [PATCH 2/2] gnu: Add disarchive.

From: Leo Prikler <[email-masked]>
Date: Wed, 10 Mar 2021 11:23:44 +0100

I've checked and the package seems to build fine with Guile 3.0.2.  I
think the bytecode mismatch happens, because Guix compiles stuff with
3.0.2 by default, but users have 3.0.5 in their system, which is not
bytecode-compatible.  (As an exception, Guix itself seems to be
compiled with Guile 3.0.5 for performance reasons).

I think it would be fine to add with Guile 3.0.2, perhaps adding a note
that Guile 3.0.5 will effectively be required to use Guix interop?  If
not, could you provide a script, that breaks in a way other than
recompiling the mismatching code?

As far as the location is concerned, I personally do not like adding
too many single-package files.  Would it make sense to add this to
compression.scm (like gzip) or backup.scm (like libarchive)?

Regards,
Leo